{lib, config, options, pkgs, ...}:
{
    config = {
        nix-config = {
            networking.hostName = "nichts";

            userName = "remy";
            gnome.enable = true;
        };
    };

    # Merge the configuration and hardware configuration
    imports = [
        ./configuration.nix
        ./hardware-configuration.nix

        # ../../modules/nixos/backup.nix
        ../../modules/nixos/bluetooth.nix
        ../../modules/nixos/flakes.nix
        ../../modules/nixos/flatpak.nix
        ../../modules/nixos/fonts.nix
        ../../modules/nixos/gnome.nix
        ../../modules/nixos/language.nix
        ../../modules/nixos/ld.nix
        ../../modules/nixos/monitoring.nix
        ../../modules/nixos/networking.nix
        ../../modules/nixos/nh.nix
        ../../modules/nixos/pipewire.nix
        ../../modules/nixos/podman.nix
        ../../modules/nixos/power.nix
        ../../modules/nixos/stylix.nix
        ../../modules/nixos/user.nix

        ../../utils/binary-cache.nix
        ../../utils/garbage-collection.nix
        ../../utils/unfree.nix
    ];
}

